Loading ...
Sorry, an error occurred while loading the content.

RE: [SeattleRobotics] PICC-18 compiler problem

Expand Messages
  • Tom Capon
    It is version 6.8 or so, how do I install the plugin?
    Message 1 of 5 , Feb 1, 2004
    View Source
    • 0 Attachment
      It is version 6.8 or so, how do I install the plugin?

      At 11:43 AM 1/31/04 -0600, you wrote:
      >Tom,
      >
      >what version of MPLAB are you using?
      >
      >If it is 6.xx, have you installed the appropriate HTSoft PICC ToolSuite
      >plug-in for MPLAB?
      >
      >-de
      >
      >
      >-----Original Message-----
      >From: Tom Capon [mailto:robot@...]
      >Sent: Saturday, January 31, 2004 11:35 AM
      >To: SeattleRobotics@yahoogroups.com
      >Subject: [SeattleRobotics] PICC-18 compiler problem
      >
      >
      >Hey,
      >I tried to get PICC to work today. I installed it to the default
      >directory. I told MPLAB where the picc18.exe is. But now it says "unknown
      >flag -16F84". I'm assuming that's because MPLAB is tell PICC something it
      >doesn't want to here, but how do I fix it? I'm using the "ledflash"
      >program that came on the CD with Myke Predko's "Programming Robot
      >Controllers."
      >
      >
      >Visit the SRS Website at http://www.seattlerobotics.org
      >
      >Yahoo! Groups Links
      >
      >To visit your group on the web, go to:
      > http://groups.yahoo.com/group/SeattleRobotics/
      >
      >To unsubscribe from this group, send an email to:
      > SeattleRobotics-unsubscribe@yahoogroups.com
      >
      >Your use of Yahoo! Groups is subject to:
      > http://docs.yahoo.com/info/terms/
      >
      >
      >
      >
      >Visit the SRS Website at http://www.seattlerobotics.org
      >
      >Yahoo! Groups Links
      >
      >To visit your group on the web, go to:
      > http://groups.yahoo.com/group/SeattleRobotics/
      >
      >To unsubscribe from this group, send an email to:
      > SeattleRobotics-unsubscribe@yahoogroups.com
      >
      >Your use of Yahoo! Groups is subject to:
      > http://docs.yahoo.com/info/terms/
    • Doug Evans
      Tom, I think the latest MPLAB is 6.3 I went to the HiTech web site and downloaded the MPLAB plug-in. Essentially, this is just a DLL and an installer that
      Message 2 of 5 , Feb 1, 2004
      View Source
      • 0 Attachment
        Tom,

        I think the latest MPLAB is 6.3

        I went to the HiTech web site and downloaded the MPLAB plug-in. Essentially,
        this is just a DLL and an installer that registers the component.

        -de


        -----Original Message-----
        From: Tom Capon [mailto:robot@...]
        Sent: Sunday, February 01, 2004 12:02 PM
        To: SeattleRobotics@yahoogroups.com
        Subject: RE: [SeattleRobotics] PICC-18 compiler problem


        It is version 6.8 or so, how do I install the plugin?

        At 11:43 AM 1/31/04 -0600, you wrote:
        >Tom,
        >
        >what version of MPLAB are you using?
        >
        >If it is 6.xx, have you installed the appropriate HTSoft PICC ToolSuite
        >plug-in for MPLAB?
        >
        >-de
        >
        >
        >-----Original Message-----
        >From: Tom Capon [mailto:robot@...]
        >Sent: Saturday, January 31, 2004 11:35 AM
        >To: SeattleRobotics@yahoogroups.com
        >Subject: [SeattleRobotics] PICC-18 compiler problem
        >
        >
        >Hey,
        >I tried to get PICC to work today. I installed it to the default
        >directory. I told MPLAB where the picc18.exe is. But now it says "unknown
        >flag -16F84". I'm assuming that's because MPLAB is tell PICC something it
        >doesn't want to here, but how do I fix it? I'm using the "ledflash"
        >program that came on the CD with Myke Predko's "Programming Robot
        >Controllers."
        >
        >
        >Visit the SRS Website at http://www.seattlerobotics.org
        >
        >Yahoo! Groups Links
        >
        >To visit your group on the web, go to:
        > http://groups.yahoo.com/group/SeattleRobotics/
        >
        >To unsubscribe from this group, send an email to:
        > SeattleRobotics-unsubscribe@yahoogroups.com
        >
        >Your use of Yahoo! Groups is subject to:
        > http://docs.yahoo.com/info/terms/
        >
        >
        >
        >
        >Visit the SRS Website at http://www.seattlerobotics.org
        >
        >Yahoo! Groups Links
        >
        >To visit your group on the web, go to:
        > http://groups.yahoo.com/group/SeattleRobotics/
        >
        >To unsubscribe from this group, send an email to:
        > SeattleRobotics-unsubscribe@yahoogroups.com
        >
        >Your use of Yahoo! Groups is subject to:
        > http://docs.yahoo.com/info/terms/


        Visit the SRS Website at http://www.seattlerobotics.org

        Yahoo! Groups Links

        To visit your group on the web, go to:
        http://groups.yahoo.com/group/SeattleRobotics/

        To unsubscribe from this group, send an email to:
        SeattleRobotics-unsubscribe@yahoogroups.com

        Your use of Yahoo! Groups is subject to:
        http://docs.yahoo.com/info/terms/
      • Daniel Imfeld
        ... unknown ... Controllers. ... This is because you re using PICC-18, rather than just PICC. PICC-18 only supports the high-end PIC18 series. You can get
        Message 3 of 5 , Feb 1, 2004
        View Source
        • 0 Attachment
          Tom Capon wrote:
          > Hey,
          > I tried to get PICC to work today. I installed it to the default
          > directory. I told MPLAB where the picc18.exe is. But now it says
          "unknown
          > flag -16F84". I'm assuming that's because MPLAB is tell PICC something it
          > doesn't want to here, but how do I fix it? I'm using the "ledflash"
          > program that came on the CD with Myke Predko's "Programming Robot
          Controllers."
          >

          This is because you're using PICC-18, rather than just PICC. PICC-18 only
          supports the high-end PIC18 series. You can get PICC-Lite, a version that
          will work for the 16F84 at
          http://www.htsoft.com/files/demo/picclite-setup.exe.

          And for those wondering elsewhere in the thread, the latest version of MPLAB
          is 6.42, and can be found at
          http://www.microchip.com/1010/pline/tools/picmicro/devenv/mplabi/mplab6/index.htm#mplab1

          Daniel Imfeld
        Your message has been successfully submitted and would be delivered to recipients shortly.